### Function

# GdkPixbuf Pixbuf new_from_stream_async

since: 2.24

#### Declaration [src]

    void
    gdk_pixbuf_new_from_stream_async (
      GInputStream* stream,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Creates a new pixbuf by asynchronously loading an image from an input stream.

For more details see gdk_pixbuf_new_from_stream(), which is the synchronous version of this function.

When the operation is finished, `callback` will be called in the main thread. You can then call `gdk_pixbuf_new_from_stream_finish()` to get the result of the operation.

Available since: 2.24

This function completes asynchronously. Use `()` inside the `GAsyncReadyCallback` to obtain the result of the operation.

#### Parameters

`stream`

  Type: `GInputStream`

  A `GInputStream` from which to load the pixbuf.

  The data is owned by the caller of the function.

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable` object, `NULL` to ignore.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`callback`

  Type: `GAsyncReadyCallback`

  A `GAsyncReadyCallback` to call when the pixbuf is loaded.

`user_data`

  Type: `gpointer`

  The data to pass to the callback function.

  The argument can be `NULL`.
  The data is owned by the caller of the function.